import { ColumnInfo } from "./ColumnInfo";
import { ReferenceInfo } from "./ReferenceInfo";
/**
 * 由实体类继承该类，操作sqlite
 * */
export declare abstract class Table {
    /**列定义的信息 */
    __columnsDef: Array<ColumnInfo>;
    /**主键列 */
    __primaryColDef: ColumnInfo;
    /**表名 */
    __tableName: string;
    __refsDef: Array<ReferenceInfo>;
    constructor();
    /**保存被修改的数据 */
    save(): Promise<boolean>;
    /**
     * 查询被修改的字段信息
     */
    private queryChange;
    /**检查列定义是否与定义类型一致,在insert update save 中检查 */
    checkColDef(): void;
}
